/**-----------------------------------------------------------------------------------------
* Copyright © 2024 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the package root for more information
*-------------------------------------------------------------------------------------------*/
import * as React from 'react';
import PropTypes from 'prop-types';
import { IntlService } from './IntlService';
import { IntlProviderProps } from './IntlProviderProps';
/**
 * A React component which provides an internationalization service. Expects a locale string as a property of the component.
 */
export declare class IntlProvider extends React.Component<IntlProviderProps, {}> {
    /**
     * @hidden
     */
    static propTypes: {
        locale: PropTypes.Requireable<string>;
    };
    /**
     * Returns an internationalization service. The method is suitable for overriding when you implement custom internationalization behavior.
     */
    getIntlService(): IntlService;
    /**
     * @hidden
     */
    render(): import("react/jsx-runtime").JSX.Element;
}
